# TdApi.AutoDownloadSettingsPresets (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: AutoDownloadSettingsPresets

Package it.tdlight.jni

# Class TdApi.AutoDownloadSettingsPresets

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AutoDownloadSettingsPresets

Enclosing class:
  TdApi

    public static class TdApi.AutoDownloadSettingsPresets
    extends TdApi.Object

Contains auto-download settings presets for the current user.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.AutoDownloadSettings` | `high` | Preset with highest settings; supposed to be used by default when connected on Wi-Fi.
`TdApi.AutoDownloadSettings` | `low` | Preset with lowest settings; supposed to be used by default when roaming.
`TdApi.AutoDownloadSettings` | `medium` | Preset with medium settings; supposed to be used by default when using mobile data.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AutoDownloadSettingsPresets()` | Contains auto-download settings presets for the current user.
`AutoDownloadSettingsPresets​(TdApi.AutoDownloadSettings low, TdApi.AutoDownloadSettings medium, TdApi.AutoDownloadSettings high)` | Contains auto-download settings presets for the current user.
`AutoDownloadSettingsPresets​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### low

public TdApi.AutoDownloadSettings low
Preset with lowest settings; supposed to be used by default when roaming.

### medium

public TdApi.AutoDownloadSettings medium
Preset with medium settings; supposed to be used by default when using mobile data.

### high

public TdApi.AutoDownloadSettings high
Preset with highest settings; supposed to be used by default when connected on Wi-Fi.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### AutoDownloadSettingsPresets

public AutoDownloadSettingsPresets()
Contains auto-download settings presets for the current user.

### AutoDownloadSettingsPresets

public AutoDownloadSettingsPresets​(TdApi.AutoDownloadSettings low, TdApi.AutoDownloadSettings medium, TdApi.AutoDownloadSettings high)
Contains auto-download settings presets for the current user.

Parameters:
  `low` - AutoDownloadSettings Preset with lowest settings; supposed to be used by default when roaming.
  `medium` - AutoDownloadSettings Preset with medium settings; supposed to be used by default when using mobile data.
  `high` - AutoDownloadSettings Preset with highest settings; supposed to be used by default when connected on Wi-Fi.

### AutoDownloadSettingsPresets

public AutoDownloadSettingsPresets​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`